|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QDesignerObjectInspectorInterface Class Reference

    #include <QDesignerObjectInspectorInterface>

Part of the QtDesigner module.

Inherits QWidget.

- List of all members, including inherited members

### Public Functions

- QDesignerObjectInspectorInterface ( QWidget * parent, Qt::WindowFlags flags = 0 )
- virtual ~QDesignerObjectInspectorInterface ()
- virtual QDesignerFormEditorInterface * core () const

- 183 public functions inherited from QWidget
- 28 public functions inherited from QObject
- 10 public functions inherited from QPaintDevice

### Public Slots

- virtual void setFormWindow ( QDesignerFormWindowInterface * formWindow ) = 0

- 17 public slots inherited from QWidget
- 1 public slot inherited from QObject

### Additional Inherited Members

- 52 properties inherited from QWidget
- 1 property inherited from QObject
- 1 signal inherited from QWidget
- 1 signal inherited from QObject
- 4 static public members inherited from QWidget
- 4 static public members inherited from QObject
- 39 protected functions inherited from QWidget
- 7 protected functions inherited from QObject

## Detailed Description

## Member Function Documentation

### QDesignerObjectInspectorInterface::QDesignerObjectInspectorInterface ( QWidget * parent, Qt::WindowFlags flags = 0 )

### QDesignerObjectInspectorInterface::~QDesignerObjectInspectorInterface () `[virtual]`

### QDesignerFormEditorInterface * QDesignerObjectInspectorInterface::core () const `[virtual]`

### void QDesignerObjectInspectorInterface::setFormWindow ( QDesignerFormWindowInterface * formWindow ) `[pure virtual slot]`